Bug 63909 - fdformat cannot deal with LS120 or ZIP250 drives
fdformat cannot deal with LS120 or ZIP250 drives
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
: 67611 (view as bug list)
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2002-04-21 13:40 EDT by Adam Thompson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Thompson 2002-04-21 13:40:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
I don't have a standard floppy drive, so I can't format 1.4Mb floppies!
fdformat doesn't support ls120 or zip250 drives, as far as I can tell.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "fdformat /dev/hda"


Actual Results:  /dev/hda: not a floppy device




Expected Results:  The disk should have been formatted.

Additional info:

Downloading, RPMing and using floppy-0.12 from
 http://floppyutil.sourceforge.net/
solved the problem.
Comment 1 Elliot Lee 2002-08-13 15:25:34 EDT
*** Bug 67611 has been marked as a duplicate of this bug. ***
Comment 2 David Balažic 2005-04-21 09:26:21 EDT
util-linux-2.12p-5
fdformat does not work on LS-120 (/dev/hdd)
Comment 3 Karel Zak 2005-04-22 04:44:23 EDT
It works. I think bz #155559 is enough -- you needn't open two bugs for your one
same problem.
Comment 4 Karel Zak 2005-04-22 07:30:59 EDT
NOTE: the utility program 'fdformat' works with standard floppy drivers only. 

For ATAPI IDE floppy driver (also known as LS-120 drives or "Superdisk" drives)
you have to use the 'floppy'. The utility program 'floppy' supports both  --
standard and IDE floppy too.

I think we should add some note about IDE to 'fdformat' man page.
Comment 8 Adam Thompson 2005-06-26 11:16:10 EDT
Hmm... manpage fixed in FC4, haven't checked RHEL4 yet.
Comment 10 Jason Vas Dias 2005-08-30 10:51:03 EDT
I had no idea this bug was removed from the CanFix list - it certainly wasn't
intentional - sorry! I can't remember modifying the CanFix list and can't explain
why this bug was removed from it.
Comment 13 Red Hat Bugzilla 2005-10-05 12:48:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-669.html

Note You need to log in before you can comment on or make changes to this bug.